begin docker-composing
diff --git a/go/pki/dev-certs/client_csr.json b/go/pki/dev-certs/client_csr.json
deleted file mode 100644
index 26fc041..0000000
--- a/go/pki/dev-certs/client_csr.json
+++ /dev/null
@@ -1,12 +0,0 @@
-{
-    "CN": "developer.humans.svc.cluster.local",
-    "names": [
-        {
-            "C":  "US",
-            "L":  "San Francisco",
-            "O":  "Internet Widgets, Inc.",
-            "OU": "WWW",
-            "ST": "California"
-        }
-    ]
-}
diff --git a/go/pki/dev-certs/gen.sh b/go/pki/dev-certs/gen.sh
index e09e9f3..b068731 100755
--- a/go/pki/dev-certs/gen.sh
+++ b/go/pki/dev-certs/gen.sh
@@ -1,7 +1,11 @@
 #!/bin/sh
 
-set -e -x
+set -e
 
 test -f ca.pem || ( cfssl gencert -initca ca_csr.json | cfssljson -bare ca )
-test -f service.pem || ( cfssl gencert -ca=ca.pem -ca-key=ca-key.pem -config=ca_config.json -profile=test service_csr.json | cfssljson -bare service )
-test -f client.pem || ( cfssl gencert -ca=ca.pem -ca-key=ca-key.pem -config=ca_config.json -profile=test client_csr.json | cfssljson -bare client )
+
+for crt in "$@"; do
+    jq ".CN |= \"${crt}.dev.svc.cluster.local\"" < template.json > service_${crt}.json
+    test -f ${crt}.pem || ( cfssl gencert -ca=ca.pem -ca-key=ca-key.pem -config=ca_config.json -profile=test service_${crt}.json | cfssljson -bare ${crt} )
+    rm -f service_${crt}.json
+done
diff --git a/go/pki/dev-certs/service_csr.json b/go/pki/dev-certs/template.json
similarity index 100%
rename from go/pki/dev-certs/service_csr.json
rename to go/pki/dev-certs/template.json